Wallet

Get replacement tx params for cancel (stuck EVM tx)

Returns **replacement transaction params** to cancel a stuck EVM transaction (same nonce, to=self, value=0, data=0x, higher gas). Client signs and broadcasts via POST /api/wallet/non-custodial/broadcast. Address must be registered for your organization. EVM chains only.

AuthBearer (JWT)
GroupWallet
Rate limitSee Rate Limits
POST/api/wallet/non-custodial/cancel

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);
import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await wallet.getCancelParams(
  {
    txId: "QgiN5qRVqOkADzC9",
    txHash: "matrix compress",
    chain: "transmitter override"
  }
);
const { data: result } = await wallet.getCancelParams(
  {
    txId: "QgiN5qRVqOkADzC9",
    txHash: "matrix compress",
    chain: "transmitter override"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Request Body

json
{
  "txId": "fuQL5q2CnCsEqHUo",
  "txHash": "interface back up",
  "chain": "binance"
}
{
  "txId": "fuQL5q2CnCsEqHUo",
  "txHash": "interface back up",
  "chain": "binance"
}

Responses

200Cancel tx params (client signs and broadcasts via /broadcast)
json
{
  "success": true,
  "data": {
    "chainId": 1,
    "from": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "nonce": 7,
    "to": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "value": "0",
    "data": "0x",
    "gasLimit": "21000",
    "maxFeePerGas": "36000000000"
  }
}
{
  "success": true,
  "data": {
    "chainId": 1,
    "from": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "nonce": 7,
    "to": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "value": "0",
    "data": "0x",
    "gasLimit": "21000",
    "maxFeePerGas": "36000000000"
  }
}
400
401
403
404

Errors

CodeMeaning
400
401
403
404
Edit this page on GitHub